Skip to main content
`Ctrl`+`K`

# DMClearAuxiliaryVec

Destroys the auxiliary vector information and creates a new empty one

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMClearAuxiliaryVec(DM dm)

Not Collective

## Input Parameter

- dm - The `DM`

## See Also

DM Basics, `DM`, `DMCopyAuxiliaryVec()`, `DMGetNumAuxiliaryVec()`, `DMGetAuxiliaryVec()`, `DMSetAuxiliaryVec()`

## Level

advanced

## Location

src/dm/interface/dm.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages